openSUSE Security Update: Security update for glibc
______________________________________________________________________________

Announcement ID:    openSUSE-SU-2021:0358-1
Rating:             important
References:         #1178386 #1179694 #1179721 #1180038 #1181505 
                    #1182117 
Cross-References:   CVE-2019-25013 CVE-2020-27618 CVE-2020-29562
                    CVE-2020-29573 CVE-2021-3326
CVSS scores:
                    CVE-2019-25013 (NVD) : 5.9 CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:H
                    CVE-2019-25013 (SUSE): 5.9 CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:H
                    CVE-2020-27618 (SUSE): 3.3 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L
                    CVE-2020-29562 (NVD) : 4.8 CVSS:3.1/AV:N/AC:H/PR:L/UI:R/S:U/C:N/I:N/A:H
                    CVE-2020-29562 (SUSE): 6.5 CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H
                    CVE-2020-29573 (NVD) : 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
                    CVE-2020-29573 (SUSE): 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
                    CVE-2021-3326 (NVD) : 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
                    CVE-2021-3326 (SUSE): 6.2 CVSS:3.1/AV:L/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Affected Products:
                    openSUSE Leap 15.2
______________________________________________________________________________

   An update that solves 5 vulnerabilities and has one errata
   is now available.

Description:

   This update for glibc fixes the following issues:

   - Fix buffer overrun in EUC-KR conversion module (CVE-2019-25013,
     bsc#1182117, BZ #24973)
   - x86: Harden printf against non-normal long double values
     (CVE-2020-29573, bsc#1179721, BZ #26649)
   - gconv: Fix assertion failure in ISO-2022-JP-3 module (CVE-2021-3326,
     bsc#1181505, BZ #27256)
   - iconv: Accept redundant shift sequences in IBM1364 (CVE-2020-27618,
     bsc#1178386, BZ #26224)
   - iconv: Fix incorrect UCS4 inner loop bounds (CVE-2020-29562,
     bsc#1179694, BZ #26923)
   - Fix parsing of /sys/devices/system/cpu/online (bsc#1180038, BZ #25859)

   This update was imported from the SUSE:SLE-15:Update update project.


Patch Instructions:

   To install this openSUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.2:

      zypper in -t patch openSUSE-2021-358=1



Package List:

   - openSUSE Leap 15.2 (i586 i686 x86_64):

      glibc-2.26-lp152.26.6.1
      glibc-debuginfo-2.26-lp152.26.6.1
      glibc-debugsource-2.26-lp152.26.6.1
      glibc-devel-2.26-lp152.26.6.1
      glibc-devel-debuginfo-2.26-lp152.26.6.1
      glibc-devel-static-2.26-lp152.26.6.1
      glibc-locale-2.26-lp152.26.6.1
      glibc-locale-base-2.26-lp152.26.6.1
      glibc-locale-base-debuginfo-2.26-lp152.26.6.1
      glibc-profile-2.26-lp152.26.6.1

   - openSUSE Leap 15.2 (i586 x86_64):

      glibc-extra-2.26-lp152.26.6.1
      glibc-extra-debuginfo-2.26-lp152.26.6.1
      glibc-utils-2.26-lp152.26.6.1
      glibc-utils-debuginfo-2.26-lp152.26.6.1
      glibc-utils-src-debugsource-2.26-lp152.26.6.1
      nscd-2.26-lp152.26.6.1
      nscd-debuginfo-2.26-lp152.26.6.1

   - openSUSE Leap 15.2 (x86_64):

      glibc-32bit-2.26-lp152.26.6.1
      glibc-32bit-debuginfo-2.26-lp152.26.6.1
      glibc-devel-32bit-2.26-lp152.26.6.1
      glibc-devel-32bit-debuginfo-2.26-lp152.26.6.1
      glibc-devel-static-32bit-2.26-lp152.26.6.1
      glibc-locale-base-32bit-2.26-lp152.26.6.1
      glibc-locale-base-32bit-debuginfo-2.26-lp152.26.6.1
      glibc-profile-32bit-2.26-lp152.26.6.1
      glibc-utils-32bit-2.26-lp152.26.6.1
      glibc-utils-32bit-debuginfo-2.26-lp152.26.6.1

   - openSUSE Leap 15.2 (noarch):

      glibc-html-2.26-lp152.26.6.1
      glibc-i18ndata-2.26-lp152.26.6.1
      glibc-info-2.26-lp152.26.6.1


References:

   https://www.suse.com/security/cve/CVE-2019-25013.html
   https://www.suse.com/security/cve/CVE-2020-27618.html
   https://www.suse.com/security/cve/CVE-2020-29562.html
   https://www.suse.com/security/cve/CVE-2020-29573.html
   https://www.suse.com/security/cve/CVE-2021-3326.html
   https://bugzilla.suse.com/1178386
   https://bugzilla.suse.com/1179694
   https://bugzilla.suse.com/1179721
   https://bugzilla.suse.com/1180038
   https://bugzilla.suse.com/1181505
   https://bugzilla.suse.com/1182117